shadow/tests/su/04/su_wrong_user.test
Serge Hallyn b999d48941 Add tests from the old svn tree
We're losing the svn history (which we could probably keep if we tried
hard enough) but don't consider that worthwhile.

Note these tests are destructive, so run them only in a throwaway
environment like a chroot, container, or vm.

The tests/run.all script should be the one which launches all the tests.

Signed-off-by: Serge Hallyn <serge.hallyn@ubuntu.com>
2014-09-17 14:42:55 -05:00

48 lines
713 B
Bash
Executable File

#!/bin/sh
set -e
cd $(dirname $0)
. ../../common/config.sh
. ../../common/log.sh
log_start "$0" "su with a wrong user"
save_config
# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo "/bin/su myuser2 -c pwd> tmp/out 2> tmp/err"
/bin/su myuser2 -c pwd> tmp/out 2> tmp/err || {
status=$?
}
echo -n "Checking status=1..."
test "$status" = "1"
echo OK
echo -n "Checking tmp/out..."
[ "$(wc -c tmp/out)" = "0 tmp/out" ] || {
echo "FAIL"
echo "tmp/out is not empty:"
cat tmp/out
false
}
rm -f tmp/out
echo "OK"
echo -n "Checking tmp/err..."
diff -au data/wrong_user.err tmp/err
rm -f tmp/err
echo "OK"
log_status "$0" "SUCCESS"
restore_config
trap '' 0